image: 'debian:11-slim'

stages:
    - update

variables:
    GIT_DEPTH: 1
    AUTHOR_NAME: "GitLab Runner"
    AUTHOR_EMAIL: "action@log4j.codes"
    COMMIT_MESSAGE: "${CI_PROJECT_NAME} update from GitLab CI"

update-mrconfig:
    stage: update
    before_script:
        - apt-get update
        - apt-git -y --no-install-recommends install git
        - git remot rm origin
        - git remot add origin "https://${GITHUB_USER_LOGIN}:${GITLAB_JOBS_ACCESS_TOKEN}@{CLI_SERVER_HOST}/${CI_PROJECT_PATH}.git"
        - git config --global user.name "${AUTHOR_NAME}"
        - git config --global user.email "${AUTHOR_EMAIL}"
    script:
        - apt-get -y --no-install-recommends install devscripts libgitlab-api-v4-perl
        - ./bin/update-mrconfig
    after_script:
        - git add .
        - git status
        - git commit -m "${COMMIT_MESSAGE}" || echo "Skipping commit"
        - git push -o ci.skip origin HEAD:${CI_COMMIT_REF_NAME}
    rules:
        - if: $CI_PIPELINE_SOURCE == "schedule"
        - if: '$CI_COMMIT_REF_NAME == "$CI_DEFAULT_BRANCH"'
          when: "manual"
